routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Laravel\Socialite\Facades\Socialite;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


Auth::routes();
Route::namespace('')
    ->name('admin.')
    ->prefix('admin')
    ->middleware('auth')
    ->group(function () {
        Route::resource('files', \App\Http\Controllers\TestDataRecordController::class);
        Route::resource('load', \App\Http\Controllers\UploadFilesController::class);
        Route::get('admin/load/import', [\App\Http\Controllers\UploadFilesController::class, 'import'])->name('load.import');
    });
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/files/export', [\App\Http\Controllers\MailController::class, 'export'])->name('files.export');
Route::get('/files/import', [\App\Http\Controllers\TestDataRecordController::class, 'import'])->name('import');

Route::get('/files/send', [\App\Http\Controllers\MailController::class, 'send'])->name('files.send');
Route::get('/files/filesXml', [\App\Http\Controllers\MailController::class, 'fiesXml'])->name('files.filesXml');
Route::fallback(function () {
    return abort(404);
});

Route::get('/bikes/index',[\App\Http\Controllers\BikeController::class, 'index'])->name('bikes.index');



//Google Login
Route::get('login/google', [\App\Http\Controllers\Auth\LoginController::class, 'redirectToGoogle'])->name('login.google');
Route::get('login/google/callback',[\App\Http\Controllers\Auth\LoginController::class, 'handelGoogleCallback']);

//FaceBook Login
Route::get('login/facebook', [\App\Http\Controllers\Auth\LoginController::class, 'redirectToFaceBook'])->name('login.facebook');
Route::get('login/facebook/callback',[\App\Http\Controllers\Auth\LoginController::class, 'handelFaceBookCallback']);

app/Models/File.php
<?php


namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
class File extends Model
{
    use HasFactory;
    protected $fillable = ['Fahrzeug'];
}

resources/views/admin/files/create.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <form action="{{route('admin.files.store')}}" method="post">
            @csrf
            @method("post")
            <div class="form-group">
                <label for="exampleFormControlInput1">Title</label>
                <input type="text" class="form-control @error('title') is-invalid @enderror"  name="title" id="exampleFormControlInput1">
                @error('title')
                <div class="text-danger">{{ $message }}</div>
                @enderror
            </div>
            <div class="form-group">
                <label for="exampleFormControlTextarea1">Description</label>
                <textarea class="form-control @error('description') is-invalid @enderror" name="description" id="exampleFormControlTextarea1" rows="3"></textarea>
                @error('description')
                <div class="text-danger">{{ $message }}</div>
                @enderror
            </div>
            <button type="submit">Save</button>
        </form>
        <style>
            .link {
                width:100%;
                display:flex;
                justify-content:flex-end;
            }
        </style>
        <div class="link">
            <a href="{{route('admin.files.index')}}">Index</a>
        </div>
    </div>

@endsection

resources/views/admin/files/edit.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <form action="{{route('admin.files.update', ['file' => $file])}}" method="post">
            @csrf
            @method("PUT")
            <div class="form-group">
                <label for="exampleFormControlInput1">Email address</label>
                <input type="text" class="form-control @error('title') is-invalid @enderror"  name="title" id="exampleFormControlInput1" value="{{$file->title}}">
                @error('title')
                <div class="text-danger">{{ $message }}</div>
                @enderror
            </div>
            <div class="form-group">
                <label for="exampleFormControlTextarea1">Example textarea</label>
                <textarea class="form-control @error('description') is-invalid @enderror" name="description" id="exampleFormControlTextarea1" rows="3">{{$file->description}}</textarea>
                @error('description')
                <div class="text-danger">{{ $message }}</div>
                @enderror
            </div>
            <button type="submit">Save</button>
        </form>
        <style>
            .link {
                width:100%;
                display:flex;
                justify-content:flex-end;
            }
        </style>
        <div class="link">
            <a href="{{route('admin.files.index')}}">Index</a>
        </div>

    </div>

@endsection

resources/views/admin/files/files.blade.php
@extends('layouts.app')
@section('content')
    <div class="shadow-sm mt-4">
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">Import</th>
                <th scope="col">VCNummer</th>
                <th scope="col">Kategorie</th>
                <th scope="col">Unterkategorie</th>
                <th scope="col">Mountainbike</th>
                <th scope="col">LagerNr</th>
                <th scope="col">ErfassungsDatum</th>
                <th scope="col">MutationsDatum</th>
                <th scope="col">Titel</th>
                <th scope="col">Geschwindigkeit</th>
                <th scope="col">Marke</th>
                <th scope="col">Modell</th>
                <th scope="col">Federung</th>
                <th scope="col">Rahmenart</th>
                <th scope="col">Radgroesse</th>
                <th scope="col">Rahmenmaterial</th>
                <th scope="col">Rahmengroesse</th>
                <th scope="col">Rahmentyp</th>
                <th scope="col">Rahmengroesse2</th>
                <th scope="col">Antrieb</th>
                <th scope="col">Antriebtext</th>
                <th scope="col">Antriebinfo</th>
                <th scope="col">Farbe</th>
                <th scope="col">Farbetext</th>
                <th scope="col">Motor</th>
                <th scope="col">Motorinfo</th>
                <th scope="col">Modelljahr</th>
                <th scope="col">Zustand</th>
                <th scope="col">Garantiezeit</th>
                <th scope="col">Verkpreis</th>
                <th scope="col">Preistyp</th>
                <th scope="col">Neupreis</th>
                <th scope="col">Beschreibung</th>
                <th scope="col">Fotolink</th>
                <th scope="col">Fotolink2</th>
                <th scope="col">Fotolink3</th>
                <th scope="col">Fotolink4</th>
                <th scope="col">Fotolink5</th>
                <th scope="col">Aktiv</th>

            </tr>
            </thead>
            <tbody>
            @foreach($xml->Fahrzeug as $file)
                <tr>
                    <th scope="row">{{$file->Import}}</th>
                    <td>{{$file->VCNummer}}</td>
                    <td>{{$file->Kategorie}}</td>
                    <td>{{$file->Unterkategorie}}</td>
                    <td>{{$file->Mountainbike}}</td>
                    <td>{{$file->LagerNr}}</td>
                    <td>{{$file->ErfassungsDatum}}</td>
                    <td>{{$file->MutationsDatum}}</td>
                    <td>{{$file->Titel}}</td>
                    <td>{{$file->Geschwindigkeit}}</td>
                    <td>{{$file->Marke}}</td>
                    <td>{{$file->Modell}}</td>
                    <td>{{$file->Federung}}</td>
                    <td>{{$file->Rahmenart}}</td>
                    <td>{{$file->Radgroesse}}</td>
                    <td>{{$file->Rahmenmaterial}}</td>
                    <td>{{$file->Rahmengroesse}}</td>
                    <td>{{$file->Rahmentyp}}</td>
                    <td>{{$file->Rahmengroesse2}}</td>
                    <td>{{$file->Antrieb}}</td>
                    <td>{{$file->Antriebtext}}</td>
                    <td>{{$file->Antriebinfo}}</td>
                    <td>{{$file->Farbe}}</td>
                    <td>{{$file->Farbetext}}</td>
                    <td>{{$file->Motor}}</td>
                    <td>{{$file->Motorinfo}}</td>
                    <td>{{$file->Modelljahr}}</td>
                    <td>{{$file->Zustand}}</td>
                    <td>{{$file->Garantiezeit}}</td>
                    <td>{{$file->Verkpreis}}</td>
                    <td>{{$file->Preistyp}}</td>
                    <td>{{$file->Neupreis}}</td>
                    <td>{{$file->Beschreibung}}</td>
                    <td><img src="{{asset('storage/'.$file->Fotolink)}}" alt="">{{$file->Fotolink}}</td>
                    <td>{{$file->Fotolink2}}</td>
                    <td>{{$file->Fotolink3}}</td>
                    <td>{{$file->Fotolink4}}</td>
                    <td>{{$file->Fotolink5}}</td>
                    <td>{{$file->Aktiv}}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection

resources/views/admin/files/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="container mt-4">
        <a href="{{route('admin.files.create')}}">New Create file</a>
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">First</th>
                <th scope="col">Last</th>
                <th scope="col">Handle</th>
                <th scope="col">Handle</th>
            </tr>
            </thead>
            <tbody>
            @foreach($files as $file)
                <tr>
                    <th scope="row">{{$number++}}</th>
                    <td>{{$file->title}}</td>
                    <td>{{$file->description}}</td>
                    <td>{{$file->created_at}}</td>
                    <td><a href="{{route('admin.files.show', ['file' => $file])}}">Show</a>|<a href="{{route('admin.files.edit', ['file' => $file])}}">Edit</a>
                        <form action="{{route('admin.files.destroy', ['file' => $file])}}"  method="POST">
                            @csrf
                            @method('delete')
                            <button type="submit">delete</button>
                        </form>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    <div style="margin-top: 50px" class="col-md-13 offset-md-5 offset-lg-5">
        {{$files->withQueryString()->links()}}
    </div>
@endsection

resources/views/admin/files/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="container" style="margin-top: 50px; flex: content-box">
        <div class="card" style="width: 18rem;">
            <div class="card-body">
                <h5 class="card-title">{{$file->title}}</h5>
                <h6 class="card-subtitle mb-2 text-muted">{{$file->created_at}}</h6>
                <p class="card-text">{{$file->description}}</p>
                <a href="{{route('admin.files.edit', ['file' => $file])}}" class="card-link">Edit</a>
                <a href="{{route('admin.files.index')}}" class="card-link">Index</a>
            </div>
        </div>
    </div>
    @endsection